WyrdOS
Open App

Ontology

API endpoints for ontology

Company ontology graph

GET /api/v1/ontology/company

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/ontology/company?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "mode": "company",
    "focusId": "item_abc123",
    "nodes": [
      {
        "id": "item_abc123",
        "type": "pillar",
        "entityId": "item_abc123",
        "label": "Launch readiness",
        "status": "active",
        "priority": "medium",
        "date": 1782828000000,
        "description": "Track onboarding work for the beta launch."
      }
    ],
    "edges": [
      {
        "id": "item_abc123",
        "source": "Launch plan",
        "target": "Launch readiness",
        "type": "Launch readiness",
        "label": "Launch readiness"
      }
    ],
    "warnings": [
      {
        "id": "item_abc123",
        "code": "Launch readiness",
        "severity": "high",
        "nodeId": "item_abc123",
        "title": "Launch readiness",
        "message": "Launch readiness",
        "typeIds": [],
        "categoryIds": []
      }
    ],
    "collapsed": [
      {
        "type": "pillar",
        "reason": "Adds source-backed evidence for the goal."
      }
    ]
  }
}

Other statuses: 401, 403.

Response body type

{ data: OntologyGraph }


Ontology evidence review context

GET /api/v1/ontology/review-context

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
containerIdquerystringNo
entityTypequeryNo
includeResolvedProposalsquerybooleanNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/ontology/review-context?organisationId=<organisationId>&containerId=<containerId>&entityType=<entityType>&includeResolvedProposals=<includeResolvedProposals>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "generatedAt": 1782828000000,
    "staleCutoffMs": 1,
    "scope": {
      "organisationId": "org_abc123",
      "containerId": "container_product",
      "entityType": "pillar"
    },
    "mode": "company",
    "entities": [
      {
        "id": "item_abc123",
        "type": "pillar",
        "entityId": "item_abc123",
        "label": "Launch readiness",
        "status": "active",
        "priority": "medium",
        "date": 1782828000000,
        "description": "Track onboarding work for the beta launch."
      }
    ],
    "links": [
      {
        "id": "item_abc123",
        "source": "Launch plan",
        "target": "Launch readiness",
        "type": "Launch readiness",
        "label": "Launch readiness"
      }
    ],
    "warnings": [
      {
        "id": "item_abc123",
        "code": "Launch readiness",
        "severity": "high",
        "nodeId": "item_abc123",
        "title": "Launch readiness",
        "message": "Launch readiness",
        "typeIds": [],
        "categoryIds": []
      }
    ],
    "evidence": "...",
    "staleEvidence": [
      {
        "nodeId": "item_abc123",
        "entityId": "item_abc123",
        "type": "pillar",
        "label": "Launch readiness",
        "reason": "Adds source-backed evidence for the goal.",
        "latestObservedAt": 1782828000000
      }
    ],
    "proposals": {
      "items": [
        {
          "_id": "item_abc123",
          "entityType": "...",
          "entityId": "item_abc123",
          "type": "...",
          "title": "Launch readiness",
          "summary": "Track onboarding work for the beta launch.",
          "sourceType": "...",
          "confidence": "...",
          "status": "...",
          "proposedBy": "Launch readiness",
          "reason": "Adds source-backed evidence for the goal.",
          "createdAt": 1782828000000,
          "updatedAt": 1782828000000
        }
      ],
      "total": "...",
      "omitted": "..."
    },
    "counts": {}
  }
}

Other statuses: 400, 401, 403.

Response body type

{ data: OntologyReviewContext }


Container ontology focus graph

GET /api/v1/ontology/containers/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/ontology/containers/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "mode": "company",
    "focusId": "item_abc123",
    "nodes": [
      {
        "id": "item_abc123",
        "type": "pillar",
        "entityId": "item_abc123",
        "label": "Launch readiness",
        "status": "active",
        "priority": "medium",
        "date": 1782828000000,
        "description": "Track onboarding work for the beta launch."
      }
    ],
    "edges": [
      {
        "id": "item_abc123",
        "source": "Launch plan",
        "target": "Launch readiness",
        "type": "Launch readiness",
        "label": "Launch readiness"
      }
    ],
    "warnings": [
      {
        "id": "item_abc123",
        "code": "Launch readiness",
        "severity": "high",
        "nodeId": "item_abc123",
        "title": "Launch readiness",
        "message": "Launch readiness",
        "typeIds": [],
        "categoryIds": []
      }
    ],
    "collapsed": [
      {
        "type": "pillar",
        "reason": "Adds source-backed evidence for the goal."
      }
    ]
  }
}

Other statuses: 401, 403.

Response body type

{ data: OntologyGraph }


Zone ontology trace graph

GET /api/v1/ontology/zones/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes
organisationIdquerystringNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/ontology/zones/<id>?organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "mode": "company",
    "focusId": "item_abc123",
    "nodes": [
      {
        "id": "item_abc123",
        "type": "pillar",
        "entityId": "item_abc123",
        "label": "Launch readiness",
        "status": "active",
        "priority": "medium",
        "date": 1782828000000,
        "description": "Track onboarding work for the beta launch."
      }
    ],
    "edges": [
      {
        "id": "item_abc123",
        "source": "Launch plan",
        "target": "Launch readiness",
        "type": "Launch readiness",
        "label": "Launch readiness"
      }
    ],
    "warnings": [
      {
        "id": "item_abc123",
        "code": "Launch readiness",
        "severity": "high",
        "nodeId": "item_abc123",
        "title": "Launch readiness",
        "message": "Launch readiness",
        "typeIds": [],
        "categoryIds": []
      }
    ],
    "collapsed": [
      {
        "type": "pillar",
        "reason": "Adds source-backed evidence for the goal."
      }
    ]
  }
}

Other statuses: 401, 403.

Response body type

{ data: OntologyGraph }